Jump to content
Eternal Lands Official Forums
Entropy

Linux 1.6.0 client test

Recommended Posts

Here is the binary, compiled by Schmurk on Ubuntu:

http://www.eternal-lands.com/elc_160_linux.zip

Here is the data: http://www.eternal-lands.com/el_update_data_160.zip

Please note that the data is slightly incomplete, as in missing some future items we are going to add soon, so I will provide a zip with those modified files, but for now, this data is adequate.

Let me know if it works for you, and post your linux distro too.

Please post even if it works.

 

[edit]

Here is a semi static bin: http://www.eternal-lands.com/elc_160_linux_static.zip

Let me know if this works.

Share this post


Link to post
Share on other sites

Fine for me. I used the data from the linux data thread.

 

Music/Sound, NPC's, moving, casting spells, eating, harvesting, fighting, changing maps, all fine for me.

 

Piper

 

Edit: Distro SuSE 10.1

Edited by The_Piper

Share this post


Link to post
Share on other sites

The Binary can’t find libSDL_net, probably because I have a 64bit System and this was compiled on 32bit. Compiling from CVS works for me though.

 

Will there be rpm Packages for SuSE (Packman had some for 1.5.0-beta and a CVS from December 2007)?

Share this post


Link to post
Share on other sites

From the terminal:

 

[/usr/local/games/el] $>./el.x86.linux.bin test

./el.x86.linux.bin: /usr/lib/libpng12.so.0: no version information available (required by ./el.x86.linux.bin)

./el.x86.linux.bin: /lib/tls/libc.so.6: version `GLIBC_2.4' not found (required by ./el.x86.linux.bin)

 

I always get the libpng error, but this is the first time I've gotten the libc error.

 

Slackware 11.2

gcc -v: Reading specs from /usr/lib/gcc/i486-slackware-linux/3.4.6/specs

Configured with: ../gcc-3.4.6/configure --prefix=/usr --enable-shared --enable-threads=posix --enable-__cxa_atexit --disable-checking --with-gnu-ld --verbose --target=i486-slackware-linux --host=i486-slackware-linux

Thread model: posix

gcc version 3.4.6

Share this post


Link to post
Share on other sites

Works fine for me, although I miss the skybox :)

I am using a Gentoo system, pretty much bleeding edge. Xorg 7.2, ati-drivers version 8.471.3 with FireGL Mobility T2. Any details you want to know?

Cheers,

maj

Share this post


Link to post
Share on other sites

heu@tatooine:/usr/local/games/el_update$ ./el.x86.linux.bin

./el.x86.linux.bin: /usr/lib/libpng12.so.0: no version information available (required by ./el.x86.linux.bin)

./el.x86.linux.bin: /lib/tls/libc.so.6: version `GLIBC_2.4' not found (required by ./el.x86.linux.bin)

 

Slackware 11.0

Share this post


Link to post
Share on other sites

I'm running Slackware 12.

The client is trying to use a shared version of libopenal.

Shouldn't it be compiled to use static libraries instead?

bash-3.1$ ./el.x86.linux.bin

./el.x86.linux.bin: error while loading shared libraries: libopenal.so.0: cannot open shared object file: No such file or directory

bash-3.1$

Share this post


Link to post
Share on other sites

Working good for me far, just had to install SDL_net, SDL_image, and cal3d. Good work guys :)

 

Fedora release 8

2.6.23.14-107.fc8

 

Video card: GeForce FX 5200/AGP/SSE2

Vendor ID: NVIDIA Corporation

OpenGL Version: 2.1.2 NVIDIA 169.12

Share this post


Link to post
Share on other sites

running also gentoo on the bleeding edge, and no real problems, lost about 5fps but thats maybe because i was using the cvs client before, not sure.

also i get this errormsg when the client starts: Error initializing sound: ALC_INVALID_DEVICE

sound was working before tho... will try to find out whats the exact problem.

Share this post


Link to post
Share on other sites

Running on Ubuntu... it did not work right off, I had to grab libcal3d.so.12 from my cvs dir and use a shell script to run it:

 

#!/bin/sh
LD_LIBRARY_PATH=$PWD ./el.x86.linux.bin $@

 

I already had this script since I've been running it dynamically linked built from cvs, but thought I'd let you know. After that, worked great, no immediate problems.

 

Oh, and my UVP is still 0

 

Krrick in game

Edited by bignall

Share this post


Link to post
Share on other sites

Working great for me on SuSe 10.2.

 

My only question is, is this going away?

z_end: 0.600000, distance: 4.639572, perturbation: 0.395367, perturbation int: 1419

Share this post


Link to post
Share on other sites
My only question is, is this going away?
z_end: 0.600000, distance: 4.639572, perturbation: 0.395367, perturbation int: 1419

 

Yes

Share this post


Link to post
Share on other sites
Suggestion:

 

Lets have a static linked client too.

 

Piper

 

I compiled OpenAL, after which it complained that it needed libcal3d, so I compiled that, and now it's saying:

 

bash-3.1$ ./el.x86.linux.bin

./el.x86.linux.bin: /usr/lib/libpng12.so.0: no version information available (required by ./el.x86.linux.bin)

bash-3.1$

 

...then recompiled libpng to the latest and it erm...runs, however, the binary runs and exits without any output at all.

i.e, no output on the command line, and no client actually starting up...it just "starts" and exits. >_<

 

bash-3.1$ ./el.x86.linux.bin

bash-3.1$

 

O_o

 

...so yes, static linked please. :)

Edited by Columba

Share this post


Link to post
Share on other sites

Works on Kubuntu 7.10 =D. Worked the first time.

 

Video card: GeForce 6800 GS/AGP/SSE/3DNOW!

Vendor ID: NVIDIA Corporation

OpenGL Version: 2.1.1 NVIDIA 100.14.19

 

Hmm Water flickered a bit when far away or at certain angles, So I reduced the shadow mapping size to 512. Sky seems to flicker also, at certain camera angles. There is also a slight *pause* when someone does a spell or teleports for the sound to register (it pauses in the middle, like its a two part sound file). Doesnt do it all the time, Mostly around storage...

 

I noticed everything looks better too, with a bit of a FPS drop around busy storages and some places. Much smoother game play also :) Atleast sound works and I can see the spell effects.

 

ADD: Water still flickers if your looking through someones HP bar. Goes away if you turn your camera at a different angle. Not much of a problem.

Edited by Nerdz

Share this post


Link to post
Share on other sites
...then recompiled libpng to the latest and it erm...runs, however, the binary runs and exits without any output at all.

i.e, no output on the command line, and no client actually starting up...it just "starts" and exits. >_<

 

bash-3.1$ ./el.x86.linux.bin

bash-3.1$

 

Same here.

 

Running Ubuntu 7.10

 

Opened a terminal and got the error message that it couldn't find libSDL_net. I installed that and it couldn't find libcal3d. I installed that and now nothing happens. The error.log says:

 

Log started at 2008-03-25 15:58:49 localtime (PDT)

 

[15:58:49] Using the server profile: main

[15:58:49] No language set so defaulting to [en] and using language selection window

[15:58:49] Couldn't set GL mode: X11 driver not configured with OpenGL

 

I'm afraid I don't know what else will be helpful other than my video card info. glxinfo says:

 

OpenGL vendor string: ATI Technologies Inc.

OpenGL renderer string: RADEON X600/X550 Series

OpenGL version string: 2.1.7412 Release

 

The windows version works with wine perfectly as far as I can tell.

 

Hope this helps,

The Saxman

Edited by The_Saxman

Share this post


Link to post
Share on other sites

On Gentoo, last updated not too long ago, sound/music, resolution changes, extended range of walk cursor (I like this one), autowalk on minimap (I like this one even more :)), fighting, range weapons, eye candy, fog, harvesting effect, in one word, everything works fin :)

 

Video card: GeForce 8800 GTX/PCI/SSE2

Vendor ID: NVIDIA Corporation

OpenGL Version: 2.1.2 NVIDIA 169.09

Share this post


Link to post
Share on other sites

Ok, something strange is happening now. When I start the new client with the new data files in ~/.elc/, it’s exactly the same as with Nerdz and The_Saxman, the client doesn’t load at all. But when I use the new client with the old data files, it at least loads up (though without a cursor and weird looking maps).

Share this post


Link to post
Share on other sites

hi

Running PCLinuxOS and got the following errors

./el.x86.linux.bin: error while loading shared libraries: libSDL_net-1.2.so.0: cannot open shared object file: No such file or directory

and installed libSDL_net

 

./el.x86.linux.bin: error while loading shared libraries: libSDL_image-1.2.so.0: cannot open shared object file: No such file or directory

bash-3.1$ ./el.x86.linux.bin

and installed libSDL_image

 

./el.x86.linux.bin: error while loading shared libraries: libopenal.so.0: cannot open shared object file: No such file or directory

bash-3.1$ ./el.x86.linux.bin

and installed libSDL_openal

 

./el.x86.linux.bin: error while loading shared libraries: libalut.so.0: cannot open shared object file: No such file or directory

and no go

 

Then i tried running the static version and now running

Got the following new message:

"Not using vertex program for actor animation."

 

fly

Share this post


Link to post
Share on other sites

Working fine on ArchLinux, both binaries.

 

Video card: ATI Mobility Radeon X1400

Vendor ID: ATI Technologies Inc.

OpenGL Version: 2.1.7412 Release

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×